curl --request GET \
--url https://cloud.memsource.com/web/api2/v3/automatedProjects/{settingsId} \
--header 'Authorization: <api-key>'import requests
url = "https://cloud.memsource.com/web/api2/v3/automatedProjects/{settingsId}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://cloud.memsource.com/web/api2/v3/automatedProjects/{settingsId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"frequency": {
"frequencyOption": "UNDEFINED",
"monthlyFixedTimes": [
{
"dayOfMonth": 123,
"fixedTime": 1179,
"timeZone": "<string>"
}
],
"range": 123,
"weeklyFixedTimes": [
{
"dayOfWeek": 123,
"fixedTime": 1179,
"timeZone": "<string>"
}
]
},
"id": "<string>",
"monitoredFolders": [
{
"encodedRemoteFolder": "<string>",
"folderNames": [
"<string>"
],
"humanReadableFolderPath": "<string>",
"localToken": "<string>",
"projectTemplateUid": "<string>",
"remoteFolder": "<string>",
"fileNameRegex": "<string>",
"includeSubfolders": true,
"moveToProcessedSubfolder": true,
"processedSubfolder": "<string>",
"selectedMonitoredFiles": [
{
"encodedFileName": "<string>",
"fileName": "<string>",
"uniqueIdentifier": "<string>"
}
]
}
],
"name": "<string>",
"active": true,
"continuousProject": true,
"createProjectAutomation": {
"applyProjectDueDateToJobsEnabled": true,
"assignProvidersEnabled": true,
"calculateDueDateEnabled": true,
"createAnalysesEnabled": true,
"createAnalysesWorkflowNumber": 123,
"createBuyerQuotesEnabled": true,
"createProviderQuotesEnabled": true,
"dueDateSchemeUid": "<string>",
"notifyProjectOwnerEmailTemplate": {
"name": "<string>",
"uid": "<string>"
},
"notifyProjectOwnerEnabled": true
},
"deprecatedTargetLangs": [
"<string>"
],
"initialIterationMode": "DRY_RUN",
"projectCreationMode": "ALL_FILES_IN_SINGLE_PROJECT",
"selectedTargetLangs": [
"<string>"
],
"sourceLang": "<string>",
"sourceUpdateAutomation": {
"applyProjectDueDateToJobsEnabled": true,
"calculateDueDateEnabled": true,
"continuousAnalysesSettings": {
"analyzeByLanguage": true,
"excludeLocked": true,
"excludeNumbers": true,
"includeMachineTranslationMatches": true,
"includeNonTranslatables": true,
"includeTransMemory": true,
"internalFuzzyMatches": true,
"namingPattern": "<string>",
"separateInternalFuzzyMatches": true
},
"createAnalysesEnabled": true,
"createAnalysesType": "DEFAULT",
"createAnalysesWorkflowNumber": 500,
"createBuyerQuotesEnabled": true,
"createProviderQuotesEnabled": true,
"dueDateSchemeUid": "<string>",
"notifyProjectOwnerEmailTemplate": {
"name": "<string>",
"uid": "<string>"
},
"notifyProjectOwnerEnabled": true,
"reopenWorkflowEnabled": true,
"reopenWorkflowNumberAndLater": 500
},
"targetUpdateAutomation": {
"manualReviewEnabled": true,
"notifyProjectOwnerEmailTemplate": {
"name": "<string>",
"uid": "<string>"
},
"notifyProjectOwnerEnabled": true,
"targetUpdateEnabled": true
},
"translationExports": [
{
"exportFrom": {
"type": "FINAL_WORKFLOW_STEP",
"workflowStep": 500
},
"exportWhen": {
"exportTrigger": "SELECTED_WORKFLOW_STEP_COMPLETED",
"workflowStep": 500
},
"name": "<string>",
"exportedWorkflowStepToDeliveredAfterExport": true
}
],
"warnings": [
{}
],
"webhook": {
"webhookToken": "<string>",
"webhookUrl": "<string>"
}
}Get automated project creation settings by ID
Returns the automated project creation (APC) settings identified by settingsId.
For a legacy APC, once the migration deadline has passed this endpoint responds with 403 Forbidden.
Authorizations
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
Identifier of the automated project creation settings
Response
OK
Show child attributes
Show child attributes
Unique identifier of the automated project creation settings
Remote folders being monitored
Show child attributes
Show child attributes
Name of the automated project creation settings. Maximum 255 characters.
255When true, the automated project creation is active and runs on its schedule
When true, files are imported into a single continuously updated project
Show child attributes
Show child attributes
Previously selected target language codes that are no longer available
Mode used for the first run of the automated project creation
DRY_RUN, FULL_RUN How files are grouped into created projects
ALL_FILES_IN_SINGLE_PROJECT, BY_FOLDER, EACH_FILE_IN_SEPARATE_PROJECT Target language codes currently selected for the created projects
Source language code of the created projects
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Translation-export configuration entries
Show child attributes
Show child attributes
Warnings raised while resolving the configuration
Show child attributes
Show child attributes
Was this page helpful?